<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Objetos</title>
</head>
<body>
  <script>
    var obj = {
      id: 1,
      'nombre': 'pepe',
      'contraseña': '1231445',
      '0 - cero♪': 'cero',
      edad: 45
    }

    for (var i in obj) {
      console.log(i)
      console.log(obj[i])
    }

    console.log(obj.nombre)
    console.log(obj['nombre'])

    console.log(obj['contraseña'])

    console.log(obj['0 - cero♪'])
  </script>
</body>
</html>